Loading...
Searching...
No Matches
dolfin::XMLVector Class Reference

I/O of XML representation of GenericVector. More...

`#include <XMLVector.h>`

## Static Public Member Functions

static void | read (GenericVector &x, const pugi::xml_node xml_dolfin)
| Read XML vector. Vector must have correct size.
static void | read (std::vector< double > &x, std::vector< dolfin::la_index > &indices, const pugi::xml_node xml_dolfin)
| Read XML vector in Array.
static std::size_t | read_size (const pugi::xml_node xml_dolfin)
| Read XML vector size.
static void | write (const GenericVector &vector, pugi::xml_node xml_node, bool write_to_stream)
| Write the XML file.

## Detailed Description

I/O of XML representation of GenericVector.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/XMLVector.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/XMLVector.cpp